I found the fix:

Assuming your source is at /usr/src/ruby-1.8.6

cd /usr/src/ruby-1.8.6/ext/openssl
sudo ruby extconf.rb
sudo make
sudo make install

jackster



John Sheahan wrote:
> I got ruby and gems installed on Red Hat, then updated gems.
> I am now trying to install Rails with gems and am getting the error:
> 
> SSL not installed on this system
> 
> Is there any way around this other than installing OpenSSL?
> 
> thanks
> 
> Jackster

-- 
Posted via http://www.ruby-forum.com/.